Open Media Library
==================

Install
-------

 To install the latest release on Linux run:

 curl https://git.0x2620.org/openmedialibrary.git/HEAD:/install | python3

 on Mac OS X download this:

 http://downloads.openmedialibrary.com/Open%20Media%20Library.dmg

Networking
----------

Open Media Library uses Tor to connect to other peers.
If required Open Media Library will install its own version of Tor Browser.

Development
-----------

Now checkout the source and prepare for use:

    mkdir openmedialibrary
    cd openmedialibrary
    git clone https://git.0x2620.org/openmedialibrary.git
    git clone https://git.0x2620.org/openmedialibrary_platform.git platform
    ln -s openmedialibrary/ctl ctl
    ./ctl update_static

    # and start it
    ./ctl debug

To update to latest version:

    ./ctl update

On Linux you need a working python3.4 installation with pillow, python-lxml, pyOpenSSL and pyCrypto and popler-utils:

    apt-get install python3.4 python3-pil python3-lxml \
                    python3-openssl python3-crypto poppler-utils \
                    libevent-2.0-5

Platform
----------

If you install Open Media Library on a architecture/os that is currently
not supported, you need a working python 3.4 installation and the dependencies
listed in requirements.txt and requirements-shared.txt:

    pip3 install -r requirements.txt
    pip3 install -r requirements-shared.txt

